# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/ioPLY.hpp File Reference

`#include <vlGraphics/Geometry.hpp>`
`#include <vlCore/ResourceLoadWriter.hpp>`
`#include <vlCore/ResourceDatabase.hpp>`

Go to the source code of this file.

## Classes

class | vl::LoadWriterPLY
| The LoadWriterPLY class is a ResourceLoadWriter capable of reading PLY files. More...
class | vl::PlyLoader
| Loads a PLY file. More...
class | vl::PlyLoader::PlyPropertyAbstract
| Used by PlyLoader. More...
class | vl::PlyLoader::PlyScalar
| Used by PlyLoader. More...
class | vl::PlyLoader::PlyScalarList
| Used by PlyLoader. More...
class | vl::PlyLoader::PlyElement
| Used by PlyLoader. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Functions

ref< ResourceDatabase > | vl::loadPLY (VirtualFile *file)
ref< ResourceDatabase > | vl::loadPLY (const String &path)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.